
%define api_version     1
%define lib_major       0
%define lib_name        %mklibname ots- %{api_version} %{lib_major}

Name:		ots
Summary:	A text summarizer.
Version:	0.4.2
Release:	1mdk
License:	GPL
Group:		System/Libraries
URL:		http://libots.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	pkgconfig >= 0.8
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	popt-devel

%description
The open text summarizer is an open source tool for summarizing texts.
The program reads a text and decides which sentences are important and
which are not.
The program can either print the summarized text in text format or in
HTML form where the important sentences are highlighted in red.
 
The program is multi lingual and work with UTF-8 code;  At the moment
only English Hebrew are supported.
 
The ots command line tool is an example and a debug tool for the libary.
You can bind to the library from your program.


%package -n %{lib_name}
Summary:	Libraries for ots.
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{lib_name}
This package provides the libraries for using ots.


%package -n %{lib_name}-devel
Summary:	Libraries and include files for developing with libots.
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel
# not sure if this provides is correct
Provides:	libots-1-devel

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include
files to allow you to develop with libots.


%prep
%setup -q -n ots-%{version}

%build
%configure --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# clean out unused files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libots/html/*


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(0755,root,root)%{_bindir}/%{name}
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_mandir}/*/*
%dir %{_datadir}/ots
%{_datadir}/ots/*

%files -n %{lib_name}
%defattr(0644, root, root, 0755)
%{_libdir}/*.so.*


%files -n %{lib_name}-devel
%defattr(0644, root, root, 0755)
%{_libdir}/*.so
%{_libdir}/*.*a
%dir %{_includedir}/libots-1
%dir %{_includedir}/libots-1/ots
%{_includedir}/libots-1/ots/*.h
%{_libdir}/pkgconfig/libots-1.pc


%changelog
* Wed Dec 10 2003 Marcel Pol <mpol@mandrake.org> 0.4.2-1mdk
- 0.4.2

* Sat Aug 30 2003 Marcel Pol <mpol@gmx.net> 0.4.1-3mdk
- buildrequires again

* Fri Aug 29 2003 Marcel Pol <mpol@gmx.net> 0.4.1-2mdk
- buildrequires

* Thu Aug 14 2003 Marcel Pol <mpol@gmx.net> 0.4.1-1mdk
- initial mandrake contrib
- libpolicy and small changes

* Thu Jun 05 2003 Rui Miguel Silva Seabra <rms@1407.org>
- fix spec
- disable gtk-doc (it's not building in RH 9,
  maybe it's broken for some reason)

* Fri May 02 2003 Rui Miguel Silva Seabra <rms@1407.org>
- define a longer description from the README file
- explicitly set file permissions

* Wed Apr 30 2003 Dom Lachowicz <cinamod@hotmail.com>
- created this thing
